#include<bits/stdc++.h>
using namespace std;

int main(){
	std::vector<int> solve(std::vector<int> A);
	long long int t,i,j,k,j1;double s,s1,s2,min;
	cin>>t;
	vector<double>a(100),n(100),b(100);
	vector<vector<double> >c(t,vector<double>(1000));
	for(i=0;i<t;i++){ cin>>n[i];
	s2=0;for(j=0;j<n[i];j++){ cin>>a[j];s2=s2+a[j];} min=INT_MAX;
	for(j=0;j<n[i];j++) b[j]=j;
	b4:;s=0;for(j=0;j<n[i]/2;j++) s=s+a[b[j]];
	s1=0;for(j=n[i]/2;j<n[i];j++) s1=s1+a[b[j]];
	if(abs(s2-s)+abs(s2-s1)<min){ min=abs(s2-s)+abs(s2-s1);for(j=0;j<n[i];j++) c[i][j]=b[j];
	}
	for(j=n[i]-2;j>=0;j--){
		if(b[j]<b[j+1]) goto b1;
	} goto b2;
	b1:;for(j1=n[i]-1;j1>=j;j1--){
		if(b[j]<b[j1]) goto b3;
	}
	b3:;swap(b[j],b[j1]);for(k=1;k<=(n[i]-j-1)/2;k++) swap(b[j+k],b[n[i]-k]);goto b4;
b2:;}
for(i=0;i<t;i++){
	for(j=0;j<n[i];j++) cout<<c[i][j]<<" ";cout<<endl;
}
}